* {
    margin: 0; /* removes the weird gap at the top of the webpage for the banner */
    padding: 0;
}
body { /* background image styling */
    margin: 0;
    padding: 0;
    background-image: url(image/wallpaperflare.com_wallpaper.jpg);
    background-position: bottom;
    background-attachment: fixed;
    background-size: cover;
}
#box {
    display: flex;
    justify-content: center; /* Centers horizontally along the main axis */
    align-items: center; /* Centers vertically along the cross axis */
    height: 50vh; /* Example: Centers in the full viewport height */
}
#box h1{
    font-size: 36px; /* about me box head text */

}
.text{ /* The box styling settings*/
    width: 420px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(20px);
    color: #ffffff;
    border-radius: 10px;
    padding: 30px 40px;
}
.text .view { /* box dimensions  */
    width: 100%;
    height: 50px;
    margin: 30px 0;
}
.view input{ /* name, age, and fav color text settings */
    font-size: 36px;
    width: 100%;
    height: 100%;
    background: transparent;
    border-radius: 40px;
    outline: none;
    border: 2px solid rgba(255, 255, 255, .2)
   
}
.view input::placeholder{ /* text settings inside the beveled squares*/
    color: #f8afee;
    text-align: center;
}

.wrapper-text{ /* Banner section */
    width: 420px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(20px);
    color: #ffffff;
    border-radius: 10px;
    padding: 30px 40px;
}

.wrapper{
    margin-inline: 0px;
    background: transparent;
    backdrop-filter: blur (100px);
    margin: 0;
    padding: 0;  
}

img{
    height:100%;
    width:100%;
}

h1 {
    text-align: center;
    color: white;
    font-family:cursive;
}
ul {
    list-style-type: none;
    font-family: cursive;
}
hr {
    color: white;
}
.horizontal-list{
    display: flex;
    float: right;
    padding: 0px;
    margin: 0px;
    gap: 50px;
    cursor: pointer;
}
.horizontal-list li a {
  text-decoration: none; /* Removes underlines from links */
  color: white; 
 
}
.btn{
     /* Fallback background color for older browsers */
  background-color: #46026d; 
  
  /* The gradient effect */
  
  /* Other styling properties */
  border: none;
  color: white;
  padding: 1em 2em;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 1000px; /* Adjust border-radius as needed */
  position: relative;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn::after{
    content: '';
    position: absolute;
    height: 107%;
    width: 102%;
    border-radius: 1000px;
    background-image: linear-gradient(to bottom right, red, blue);
    z-index: -1;
}

.btn:hover{
    z-index: 0;
    box-shadow: 40px 0 100px red, 
    -40px 0 100px blue;
}